Bug 764 - segmentation fault in liblrdf
: segmentation fault in liblrdf
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 11:28 MSD by Denis Silakov
Modified: 2012-10-01 17:24 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2012-09-14 11:28:41 MSD
A bug in liblrdf in ROSA Marathon can lead to application crashes.

For example, ardour crashes at startup with the following error:

Loading ui configuration file /etc/ardour2/ardour2_ui_dark.rc theme_init() called from internal clearlooks engine
ardour: [INFO]: Ardour will be limited to 4096 open files
raptor_new_uri_for_rdf_concept called with Raptor V1 world object
raptor_general.c:240:raptor_init: fatal error: raptor_init() failedAnnullato (core dumped)
Comment 1 Denis Silakov 2012-09-14 11:32:00 MSD
Backported patches from 2012 Desktop.

Advisory: Fixed segmentation fault in liblrdf (bug #764).

How to test: install "ardour" from contrib repo and launch it. The application should launch succcessfully.

Build lists:
i586:    https://abf.rosalinux.ru/build_lists/716321
x86_64:  https://abf.rosalinux.ru/build_lists/716322
Comment 2 Vladimir Potapov 2012-09-14 14:53:57 MSD
urpmi ardour
Не удаётся установить запрошенный пакет:
aubio-0.3.2-7-rosa.lts2012.0.i586 (из-за неудовлетворённости liblash.so.1)
Comment 3 Denis Silakov 2012-09-14 14:59:07 MSD
liblash comes from contrib and I have built it only this morning, so it is still absent on mirrors. You can pick up it from abf: http://abf.rosalinux.ru/downloads/rosa2012lts/repository/i586/contrib/updates/
Comment 4 Vladimir Potapov 2012-09-15 19:20:17 MSD
liblrdf2-0.4.0-14-rosa.lts2012.0
************** Advisory **************
Fixed segmentation fault in liblrdf (bug #764)
**************************************
QA Verified